Skip to main content
GET
/
api
/
workers
/
{workerId}
/
deployments
/
voicev1
/
{deploymentId}
JavaScript
import BrainbaseLabs from 'brainbase-labs';

const client = new BrainbaseLabs({
  apiKey: process.env['BRAINBASE_LABS_API_KEY'], // This is the default and can be omitted
});

const voiceV1Deployment = await client.workers.deployments.voicev1.retrieve('deploymentId', {
  workerId: 'workerId',
});

console.log(voiceV1Deployment.id);
{
  "id": "<string>",
  "phoneNumber": "<string>",
  "objective": "<string>",
  "allowedTransferNumbers": "<string>",
  "resourceKeys": "<string>",
  "startSentence": "<string>",
  "endSentence": "<string>",
  "voiceId": "<string>",
  "language": "<string>",
  "functions": {},
  "model": "<string>",
  "wsBaseUrl": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.usebrainbase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key authentication

Path Parameters

workerId
string
required
deploymentId
string
required

Response

Voice v1 deployment details

id
string
required
phoneNumber
string
required
objective
string
required
allowedTransferNumbers
string
required
resourceKeys
string
required
startSentence
string | null
endSentence
string | null
voiceId
string | null
language
string | null
functions
object
model
string | null
wsBaseUrl
string | null